require({cache:{
'url:epi-ecf-ui/component/templates/ArchiveOverview.html':"<div class=\"epi-archived-container\">\r\n    <div class=\"epi-localToolbar epi-archiveToolbar\" style=\"background-color: hsl(0,0%,98%);\" data-dojo-attach-point=\"toolbarNode\">\r\n        <div class=\"epi-toolbarGroupContainer\">\r\n            <div class=\"epi-toolbarGroup epi-toolbarLeading\" style=\"width: 100%\" data-dojo-attach-point=\"leadingNode\">\r\n                <h1>${resources.name}</h1>\r\n                <p data-dojo-attach-point=\"descriptionNode\"></p>\r\n            </div>\r\n        </div>\r\n    </div>\r\n    <div data-dojo-type=\"epi-ecf-ui/widget/ArchiveList\" data-dojo-attach-point=\"overviewWidget\"></div>\r\n</div>"}});
define("epi-ecf-ui/component/ArchiveOverview", [
    // dojo
    "dojo/_base/declare",
    "dojo/dom-geometry",
    "dojo/string",
    "dojo/html",
    //dijit
    "dijit/_TemplatedMixin",
    "dijit/_WidgetsInTemplateMixin",
    "dijit/layout/_LayoutWidget",
    // resources
    "dojo/text!./templates/ArchiveOverview.html",
    "epi/i18n!epi/cms/nls/commerce.widget.archive",
    // Widgets in the template
    "epi-cms/contentediting/StandardToolbar",
    "../widget/ArchiveList"
    ], function (
    // dojo
    declare,
    domGeometry,
    dojoString,
    dojoHtml,
    //dijit
    _TemplatedMixin,
    _WidgetsInTemplateMixin,
    _LayoutWidget,
    // resources
    template,
    resources
    ) {
    return declare([_LayoutWidget, _TemplatedMixin, _WidgetsInTemplateMixin], {
            // summary:
            //      This is the initializer of Archive Overview.
            resources: resources,
    
            templateString: template,

            postCreate: function () {
                // tags:
                //      extensions

                this.inherited(arguments);
                this._setupDescription();
            },

            resize: function () {
                this.inherited(arguments);

                var toolbarSize = domGeometry.getMarginBox(this.toolbarNode);
                this.overviewWidget.resize({
                    h: this._contentBox.h - toolbarSize.h,
                    w: this._contentBox.w
                });
            },

            _setupDescription: function () {
                var scheduleLink = "<a class='epi-visibleLink archive-schedule-link' href='/EPiServer/EPiServer.Cms.UI.Admin/default#/ScheduledJobs/detailScheduledJob/2403fbc7-dcc0-4d15-a2fd-1e8f6120fec8'>" + this.resources.scheduledjob + "</a>";
                var description = dojoString.substitute(this.resources.description, { description: scheduleLink });
                dojoHtml.set(this.descriptionNode, description);
            }
        });
    });
    